%define module_name	intel536ep
%define module_version	4.62
%define module_release	alt10.6

%define kversion	2.4.29
%define krelease	alt6
%define flavour		std-up

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary:	intel536ep kernel modules for Intel 536EP Soft Modems support
Name:		kernel-modules-%module_name-%flavour
Version:	%module_version
Release:	%module_release
License:	Distributable
Group:		System/Kernel and hardware

Packager:       Kernel Maintainer Team <kernel@packages.altlinux.org>

Patch1:		intel536ep-4.62-compile-fix.patch
Patch2:		intel536ep-4.62-major-minor.patch
Patch3:		intel536ep-4.62-export.patch

ExclusiveOS:	Linux
BuildRequires: kernel-build-tools >= 0.7
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides:  kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

Prereq:		coreutils
Prereq:		modutils
Prereq:         kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch:	%ix86

%description
intel536ep kernel modules for Intel 536EP Soft Modems support.

These are modules for your ALT Linux system

%prep

rm -rf kernel-source-%module_name-%module_version

tar -jxvf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
PSTN_DEF="-DTARGET_SELAH -DTARGET_LINUX -DLINUX -Dsoftcore_init_struct=softcore_init_struct_intel_536ep"
kincdir="%_includedir/linux-%kversion-%flavour/include"
INCLUDES="-I$kincdir -I../inc -DMODVERSIONS -include $kincdir/linux/modversions.h"

make -C coredrv   PSTN_DEF="$PSTN_DEF" INCLUDES="$INCLUDES" CC=gcc 536ep
make -C serialdrv PSTN_DEF="$PSTN_DEF" INCLUDES="$INCLUDES" CC=gcc 536ep

%install
mkdir -p %buildroot/%module_dir
%__install -p -m644 coredrv/536epcore.o serialdrv/536ep.o \
	%buildroot/%module_dir/

mkdir -p %buildroot/%_docdir/%name-%version-%release
%__install -p -m644 license.txt readme.txt \
	%buildroot/%_docdir/%name-%version-%release/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir
%doc %_docdir/%name-%version-%release

%changelog
* Sun Dec 26 2004 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt10.6
- Rebuild for kernel 2.4.28.

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt9.6
- Rebuild for kernel 2.4.27.

* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt8.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt7.6
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt6.6
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt5.6
- Fixed compiler version selection.
- Fixed compilation with gcc 2.96.
- Changed major:minor numbers to 62:82.
- Added EXPORT_NO_SYMBOLS to the softserial part.
- Changed softcore_init_struct function name to avoid clashes with Intel 537
  drivers.

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt4.6
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt3.6
- Fixed spec file name.
- Fixed %%module_dir definition.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Thu Oct 16 2003 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt2.6
- Fixed module location and provides.
- Fixed docs location so that builds for different kernel versions can coexist.

* Wed Oct 01 2003 Sergey Vlasov <vsu@altlinux.ru> 4.62-alt1.6
- Initial build
